#############################################################################
# Default syslog-ng.conf file which collects all local logs into a
# single file called /var/log/messages tailored to container usage.

@version: 3.38
@include "scl.conf"

source s_local { internal(); };
source s_network_tcp { syslog(transport(tcp) port(6601)); };
source s_network_udp { syslog(transport(udp) port(5514)); };


destination d_local {
  file("/var/log/messages");
  file("/var/log/messages-kv.log" template("$ISODATE $HOST $(format-welf --scope all-nv-pairs)\n") frac-digits(3));
};

@include "/config/syslog-ng.conf.d/*.conf"
